# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/MicroPythonPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_MicroPythonPage(object):
    def setupUi(self, MicroPythonPage):
        MicroPythonPage.setObjectName("MicroPythonPage")
        MicroPythonPage.resize(541, 2150)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(MicroPythonPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=MicroPythonPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line9_3 = QtWidgets.QFrame(parent=MicroPythonPage)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setObjectName("line9_3")
        self.verticalLayout_3.addWidget(self.line9_3)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_4.setObjectName("groupBox_4")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout(self.groupBox_4)
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.workspacePicker = EricPathPicker(parent=self.groupBox_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.workspacePicker.sizePolicy().hasHeightForWidth())
        self.workspacePicker.setSizePolicy(sizePolicy)
        self.workspacePicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.workspacePicker.setObjectName("workspacePicker")
        self.horizontalLayout_4.addWidget(self.workspacePicker)
        self.verticalLayout_3.addWidget(self.groupBox_4)
        self.groupBox_12 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_12.setObjectName("groupBox_12")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox_12)
        self.verticalLayout.setObjectName("verticalLayout")
        self.manualSelectionCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_12)
        self.manualSelectionCheckBox.setObjectName("manualSelectionCheckBox")
        self.verticalLayout.addWidget(self.manualSelectionCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox_12)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_2.setObjectName("label_2")
        self.gridLayout_2.addWidget(self.label_2, 0, 0, 1, 1)
        self.serialTimeoutSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_2)
        self.serialTimeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.serialTimeoutSpinBox.setMinimum(1)
        self.serialTimeoutSpinBox.setMaximum(30)
        self.serialTimeoutSpinBox.setObjectName("serialTimeoutSpinBox")
        self.gridLayout_2.addWidget(self.serialTimeoutSpinBox, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(195, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_2.addItem(spacerItem, 0, 2, 1, 1)
        self.label_33 = QtWidgets.QLabel(parent=self.groupBox_2)
        self.label_33.setObjectName("label_33")
        self.gridLayout_2.addWidget(self.label_33, 1, 0, 1, 1)
        self.webreplTimeoutSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_2)
        self.webreplTimeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.webreplTimeoutSpinBox.setMinimum(1)
        self.webreplTimeoutSpinBox.setMaximum(30)
        self.webreplTimeoutSpinBox.setObjectName("webreplTimeoutSpinBox")
        self.gridLayout_2.addWidget(self.webreplTimeoutSpinBox, 1, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        self.groupBox_19 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_19.setObjectName("groupBox_19")
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout(self.groupBox_19)
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.syncTimeCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_19)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.syncTimeCheckBox.sizePolicy().hasHeightForWidth())
        self.syncTimeCheckBox.setSizePolicy(sizePolicy)
        self.syncTimeCheckBox.setObjectName("syncTimeCheckBox")
        self.horizontalLayout_9.addWidget(self.syncTimeCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox_19)
        self.groupBox = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.label = QtWidgets.QLabel(parent=self.groupBox)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 0, 0, 1, 1)
        self.colorSchemeComboBox = QtWidgets.QComboBox(parent=self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.colorSchemeComboBox.sizePolicy().hasHeightForWidth())
        self.colorSchemeComboBox.setSizePolicy(sizePolicy)
        self.colorSchemeComboBox.setObjectName("colorSchemeComboBox")
        self.gridLayout.addWidget(self.colorSchemeComboBox, 0, 1, 1, 1)
        self.replWrapCheckBox = QtWidgets.QCheckBox(parent=self.groupBox)
        self.replWrapCheckBox.setObjectName("replWrapCheckBox")
        self.gridLayout.addWidget(self.replWrapCheckBox, 1, 0, 1, 2)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.groupBox_7 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_7.setObjectName("groupBox_7")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.groupBox_7)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_11 = QtWidgets.QLabel(parent=self.groupBox_7)
        self.label_11.setObjectName("label_11")
        self.horizontalLayout_3.addWidget(self.label_11)
        self.chartThemeComboBox = QtWidgets.QComboBox(parent=self.groupBox_7)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.chartThemeComboBox.sizePolicy().hasHeightForWidth())
        self.chartThemeComboBox.setSizePolicy(sizePolicy)
        self.chartThemeComboBox.setObjectName("chartThemeComboBox")
        self.horizontalLayout_3.addWidget(self.chartThemeComboBox)
        self.verticalLayout_3.addWidget(self.groupBox_7)
        self.groupBox_13 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_13.setObjectName("groupBox_13")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox_13)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.label_13 = QtWidgets.QLabel(parent=self.groupBox_13)
        self.label_13.setObjectName("label_13")
        self.horizontalLayout_5.addWidget(self.label_13)
        self.countryEdit = QtWidgets.QLineEdit(parent=self.groupBox_13)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.countryEdit.sizePolicy().hasHeightForWidth())
        self.countryEdit.setSizePolicy(sizePolicy)
        self.countryEdit.setMaxLength(3)
        self.countryEdit.setClearButtonEnabled(True)
        self.countryEdit.setObjectName("countryEdit")
        self.horizontalLayout_5.addWidget(self.countryEdit)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_5.addItem(spacerItem1)
        self.verticalLayout_2.addLayout(self.horizontalLayout_5)
        self.groupBox_14 = QtWidgets.QGroupBox(parent=self.groupBox_13)
        self.groupBox_14.setObjectName("groupBox_14")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.groupBox_14)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox_14)
        self.label_8.setObjectName("label_8")
        self.gridLayout_8.addWidget(self.label_8, 0, 0, 1, 1)
        self.ssidEdit = QtWidgets.QLineEdit(parent=self.groupBox_14)
        self.ssidEdit.setClearButtonEnabled(True)
        self.ssidEdit.setObjectName("ssidEdit")
        self.gridLayout_8.addWidget(self.ssidEdit, 0, 1, 1, 2)
        self.label_9 = QtWidgets.QLabel(parent=self.groupBox_14)
        self.label_9.setObjectName("label_9")
        self.gridLayout_8.addWidget(self.label_9, 1, 0, 1, 1)
        self.passwordEdit = QtWidgets.QLineEdit(parent=self.groupBox_14)
        self.passwordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.passwordEdit.setClearButtonEnabled(True)
        self.passwordEdit.setObjectName("passwordEdit")
        self.gridLayout_8.addWidget(self.passwordEdit, 1, 1, 1, 1)
        self.showPasswordButton = QtWidgets.QToolButton(parent=self.groupBox_14)
        self.showPasswordButton.setCheckable(True)
        self.showPasswordButton.setObjectName("showPasswordButton")
        self.gridLayout_8.addWidget(self.showPasswordButton, 1, 2, 1, 1)
        self.verticalLayout_2.addWidget(self.groupBox_14)
        self.groupBox_15 = QtWidgets.QGroupBox(parent=self.groupBox_13)
        self.groupBox_15.setObjectName("groupBox_15")
        self.gridLayout_10 = QtWidgets.QGridLayout(self.groupBox_15)
        self.gridLayout_10.setObjectName("gridLayout_10")
        self.label_10 = QtWidgets.QLabel(parent=self.groupBox_15)
        self.label_10.setObjectName("label_10")
        self.gridLayout_10.addWidget(self.label_10, 0, 0, 1, 1)
        self.apSsidEdit = QtWidgets.QLineEdit(parent=self.groupBox_15)
        self.apSsidEdit.setClearButtonEnabled(True)
        self.apSsidEdit.setObjectName("apSsidEdit")
        self.gridLayout_10.addWidget(self.apSsidEdit, 0, 1, 1, 2)
        self.label_12 = QtWidgets.QLabel(parent=self.groupBox_15)
        self.label_12.setObjectName("label_12")
        self.gridLayout_10.addWidget(self.label_12, 1, 0, 1, 1)
        self.apPasswordEdit = QtWidgets.QLineEdit(parent=self.groupBox_15)
        self.apPasswordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.apPasswordEdit.setClearButtonEnabled(True)
        self.apPasswordEdit.setObjectName("apPasswordEdit")
        self.gridLayout_10.addWidget(self.apPasswordEdit, 1, 1, 1, 1)
        self.apShowPasswordButton = QtWidgets.QToolButton(parent=self.groupBox_15)
        self.apShowPasswordButton.setCheckable(True)
        self.apShowPasswordButton.setObjectName("apShowPasswordButton")
        self.gridLayout_10.addWidget(self.apShowPasswordButton, 1, 2, 1, 1)
        self.label_23 = QtWidgets.QLabel(parent=self.groupBox_15)
        self.label_23.setObjectName("label_23")
        self.gridLayout_10.addWidget(self.label_23, 2, 0, 1, 1)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.apSecurityComboBox = QtWidgets.QComboBox(parent=self.groupBox_15)
        self.apSecurityComboBox.setObjectName("apSecurityComboBox")
        self.horizontalLayout_6.addWidget(self.apSecurityComboBox)
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem2)
        self.gridLayout_10.addLayout(self.horizontalLayout_6, 2, 1, 1, 2)
        self.ipv4GroupBox = QtWidgets.QGroupBox(parent=self.groupBox_15)
        self.ipv4GroupBox.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.ipv4GroupBox.setObjectName("ipv4GroupBox")
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout(self.ipv4GroupBox)
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.gridLayout_9 = QtWidgets.QGridLayout()
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.label_24 = QtWidgets.QLabel(parent=self.ipv4GroupBox)
        self.label_24.setObjectName("label_24")
        self.gridLayout_9.addWidget(self.label_24, 0, 0, 1, 1)
        self.apAddressEdit = EricIPv4InputWidget(parent=self.ipv4GroupBox)
        self.apAddressEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.apAddressEdit.setObjectName("apAddressEdit")
        self.gridLayout_9.addWidget(self.apAddressEdit, 0, 1, 1, 1)
        self.label_25 = QtWidgets.QLabel(parent=self.ipv4GroupBox)
        self.label_25.setObjectName("label_25")
        self.gridLayout_9.addWidget(self.label_25, 1, 0, 1, 1)
        self.apNetmaskEdit = EricIPv4InputWidget(parent=self.ipv4GroupBox)
        self.apNetmaskEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.apNetmaskEdit.setObjectName("apNetmaskEdit")
        self.gridLayout_9.addWidget(self.apNetmaskEdit, 1, 1, 1, 1)
        self.label_26 = QtWidgets.QLabel(parent=self.ipv4GroupBox)
        self.label_26.setObjectName("label_26")
        self.gridLayout_9.addWidget(self.label_26, 2, 0, 1, 1)
        self.apGatewayEdit = EricIPv4InputWidget(parent=self.ipv4GroupBox)
        self.apGatewayEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.apGatewayEdit.setObjectName("apGatewayEdit")
        self.gridLayout_9.addWidget(self.apGatewayEdit, 2, 1, 1, 1)
        self.label_27 = QtWidgets.QLabel(parent=self.ipv4GroupBox)
        self.label_27.setObjectName("label_27")
        self.gridLayout_9.addWidget(self.label_27, 3, 0, 1, 1)
        self.apDnsEdit = EricIPv4InputWidget(parent=self.ipv4GroupBox)
        self.apDnsEdit.setFocusPolicy(QtCore.Qt.FocusPolicy.NoFocus)
        self.apDnsEdit.setObjectName("apDnsEdit")
        self.gridLayout_9.addWidget(self.apDnsEdit, 3, 1, 1, 1)
        self.horizontalLayout_7.addLayout(self.gridLayout_9)
        spacerItem3 = QtWidgets.QSpacerItem(273, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout_7.addItem(spacerItem3)
        self.gridLayout_10.addWidget(self.ipv4GroupBox, 3, 0, 1, 3)
        self.verticalLayout_2.addWidget(self.groupBox_15)
        self.verticalLayout_3.addWidget(self.groupBox_13)
        self.groupBox_16 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_16.setObjectName("groupBox_16")
        self.gridLayout_11 = QtWidgets.QGridLayout(self.groupBox_16)
        self.gridLayout_11.setObjectName("gridLayout_11")
        self.label_29 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_29.setObjectName("label_29")
        self.gridLayout_11.addWidget(self.label_29, 0, 0, 1, 1)
        self.ntpServerEdit = QtWidgets.QLineEdit(parent=self.groupBox_16)
        self.ntpServerEdit.setClearButtonEnabled(True)
        self.ntpServerEdit.setObjectName("ntpServerEdit")
        self.gridLayout_11.addWidget(self.ntpServerEdit, 0, 1, 1, 2)
        self.label_28 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_28.setObjectName("label_28")
        self.gridLayout_11.addWidget(self.label_28, 1, 0, 1, 1)
        self.ntpOffsetSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_16)
        self.ntpOffsetSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.ntpOffsetSpinBox.setMinimum(-12)
        self.ntpOffsetSpinBox.setMaximum(12)
        self.ntpOffsetSpinBox.setObjectName("ntpOffsetSpinBox")
        self.gridLayout_11.addWidget(self.ntpOffsetSpinBox, 1, 1, 1, 1)
        self.ntpDstCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_16)
        self.ntpDstCheckBox.setObjectName("ntpDstCheckBox")
        self.gridLayout_11.addWidget(self.ntpDstCheckBox, 1, 2, 1, 1)
        self.label_30 = QtWidgets.QLabel(parent=self.groupBox_16)
        self.label_30.setObjectName("label_30")
        self.gridLayout_11.addWidget(self.label_30, 2, 0, 1, 1)
        self.ntpTimeoutSpinBox = QtWidgets.QSpinBox(parent=self.groupBox_16)
        self.ntpTimeoutSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.ntpTimeoutSpinBox.setMinimum(5)
        self.ntpTimeoutSpinBox.setMaximum(15)
        self.ntpTimeoutSpinBox.setProperty("value", 10)
        self.ntpTimeoutSpinBox.setObjectName("ntpTimeoutSpinBox")
        self.gridLayout_11.addWidget(self.ntpTimeoutSpinBox, 2, 1, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(317, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout_11.addItem(spacerItem4, 2, 2, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_16)
        self.groupBox_3 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_3.setObjectName("groupBox_3")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.groupBox_3)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox_3)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout.addWidget(self.label_3)
        self.mpyCrossPicker = EricPathPicker(parent=self.groupBox_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.mpyCrossPicker.sizePolicy().hasHeightForWidth())
        self.mpyCrossPicker.setSizePolicy(sizePolicy)
        self.mpyCrossPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.mpyCrossPicker.setObjectName("mpyCrossPicker")
        self.horizontalLayout.addWidget(self.mpyCrossPicker)
        self.mpyCrossInstallButton = QtWidgets.QPushButton(parent=self.groupBox_3)
        self.mpyCrossInstallButton.setObjectName("mpyCrossInstallButton")
        self.horizontalLayout.addWidget(self.mpyCrossInstallButton)
        self.verticalLayout_3.addWidget(self.groupBox_3)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_5.setObjectName("groupBox_5")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.groupBox_5)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_7.setObjectName("label_7")
        self.horizontalLayout_2.addWidget(self.label_7)
        self.dfuUtilPathPicker = EricPathPicker(parent=self.groupBox_5)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.dfuUtilPathPicker.sizePolicy().hasHeightForWidth())
        self.dfuUtilPathPicker.setSizePolicy(sizePolicy)
        self.dfuUtilPathPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.dfuUtilPathPicker.setObjectName("dfuUtilPathPicker")
        self.horizontalLayout_2.addWidget(self.dfuUtilPathPicker)
        self.verticalLayout_3.addWidget(self.groupBox_5)
        self.groupBox_17 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_17.setObjectName("groupBox_17")
        self.gridLayout_12 = QtWidgets.QGridLayout(self.groupBox_17)
        self.gridLayout_12.setObjectName("gridLayout_12")
        self.label_31 = QtWidgets.QLabel(parent=self.groupBox_17)
        self.label_31.setObjectName("label_31")
        self.gridLayout_12.addWidget(self.label_31, 0, 0, 1, 1)
        self.stInfoPathPicker = EricPathPicker(parent=self.groupBox_17)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stInfoPathPicker.sizePolicy().hasHeightForWidth())
        self.stInfoPathPicker.setSizePolicy(sizePolicy)
        self.stInfoPathPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.stInfoPathPicker.setObjectName("stInfoPathPicker")
        self.gridLayout_12.addWidget(self.stInfoPathPicker, 0, 1, 1, 1)
        self.label_32 = QtWidgets.QLabel(parent=self.groupBox_17)
        self.label_32.setObjectName("label_32")
        self.gridLayout_12.addWidget(self.label_32, 1, 0, 1, 1)
        self.stFlashPathPicker = EricPathPicker(parent=self.groupBox_17)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stFlashPathPicker.sizePolicy().hasHeightForWidth())
        self.stFlashPathPicker.setSizePolicy(sizePolicy)
        self.stFlashPathPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.stFlashPathPicker.setObjectName("stFlashPathPicker")
        self.gridLayout_12.addWidget(self.stFlashPathPicker, 1, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_17)
        self.groupBox_8 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_8.setObjectName("groupBox_8")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.groupBox_8)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.label_14 = QtWidgets.QLabel(parent=self.groupBox_8)
        self.label_14.setObjectName("label_14")
        self.gridLayout_5.addWidget(self.label_14, 0, 0, 1, 1)
        self.micropythonFirmwareUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_8)
        self.micropythonFirmwareUrlLineEdit.setClearButtonEnabled(True)
        self.micropythonFirmwareUrlLineEdit.setObjectName("micropythonFirmwareUrlLineEdit")
        self.gridLayout_5.addWidget(self.micropythonFirmwareUrlLineEdit, 0, 1, 1, 1)
        self.label_15 = QtWidgets.QLabel(parent=self.groupBox_8)
        self.label_15.setObjectName("label_15")
        self.gridLayout_5.addWidget(self.label_15, 1, 0, 1, 1)
        self.micropythonDocuUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_8)
        self.micropythonDocuUrlLineEdit.setClearButtonEnabled(True)
        self.micropythonDocuUrlLineEdit.setObjectName("micropythonDocuUrlLineEdit")
        self.gridLayout_5.addWidget(self.micropythonDocuUrlLineEdit, 1, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_8)
        self.groupBox_9 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_9.setObjectName("groupBox_9")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.groupBox_9)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.label_17 = QtWidgets.QLabel(parent=self.groupBox_9)
        self.label_17.setObjectName("label_17")
        self.gridLayout_6.addWidget(self.label_17, 0, 0, 1, 1)
        self.circuitpythonFirmwareUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_9)
        self.circuitpythonFirmwareUrlLineEdit.setClearButtonEnabled(True)
        self.circuitpythonFirmwareUrlLineEdit.setObjectName("circuitpythonFirmwareUrlLineEdit")
        self.gridLayout_6.addWidget(self.circuitpythonFirmwareUrlLineEdit, 0, 1, 1, 1)
        self.label_22 = QtWidgets.QLabel(parent=self.groupBox_9)
        self.label_22.setObjectName("label_22")
        self.gridLayout_6.addWidget(self.label_22, 1, 0, 1, 1)
        self.circuitpythonLibrariesUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_9)
        self.circuitpythonLibrariesUrlLineEdit.setText("")
        self.circuitpythonLibrariesUrlLineEdit.setClearButtonEnabled(True)
        self.circuitpythonLibrariesUrlLineEdit.setObjectName("circuitpythonLibrariesUrlLineEdit")
        self.gridLayout_6.addWidget(self.circuitpythonLibrariesUrlLineEdit, 1, 1, 1, 1)
        self.label_16 = QtWidgets.QLabel(parent=self.groupBox_9)
        self.label_16.setObjectName("label_16")
        self.gridLayout_6.addWidget(self.label_16, 2, 0, 1, 1)
        self.circuitpythonDocuUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_9)
        self.circuitpythonDocuUrlLineEdit.setClearButtonEnabled(True)
        self.circuitpythonDocuUrlLineEdit.setObjectName("circuitpythonDocuUrlLineEdit")
        self.gridLayout_6.addWidget(self.circuitpythonDocuUrlLineEdit, 2, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_9)
        self.groupBox_10 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_10.setObjectName("groupBox_10")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.groupBox_10)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.label_18 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_18.setObjectName("label_18")
        self.gridLayout_7.addWidget(self.label_18, 0, 0, 1, 1)
        self.microbitFirmwareUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_10)
        self.microbitFirmwareUrlLineEdit.setClearButtonEnabled(True)
        self.microbitFirmwareUrlLineEdit.setObjectName("microbitFirmwareUrlLineEdit")
        self.gridLayout_7.addWidget(self.microbitFirmwareUrlLineEdit, 0, 1, 1, 1)
        self.groupBox_6 = QtWidgets.QGroupBox(parent=self.groupBox_10)
        self.groupBox_6.setObjectName("groupBox_6")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox_6)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_4 = QtWidgets.QLabel(parent=self.groupBox_6)
        self.label_4.setObjectName("label_4")
        self.gridLayout_3.addWidget(self.label_4, 0, 0, 1, 1)
        self.microbitV1MicroPythonUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_6)
        self.microbitV1MicroPythonUrlLineEdit.setClearButtonEnabled(True)
        self.microbitV1MicroPythonUrlLineEdit.setObjectName("microbitV1MicroPythonUrlLineEdit")
        self.gridLayout_3.addWidget(self.microbitV1MicroPythonUrlLineEdit, 0, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=self.groupBox_6)
        self.label_6.setObjectName("label_6")
        self.gridLayout_3.addWidget(self.label_6, 1, 0, 1, 1)
        self.microbitV2MicroPythonUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_6)
        self.microbitV2MicroPythonUrlLineEdit.setClearButtonEnabled(True)
        self.microbitV2MicroPythonUrlLineEdit.setObjectName("microbitV2MicroPythonUrlLineEdit")
        self.gridLayout_3.addWidget(self.microbitV2MicroPythonUrlLineEdit, 1, 1, 1, 1)
        self.gridLayout_7.addWidget(self.groupBox_6, 1, 0, 1, 2)
        self.label_19 = QtWidgets.QLabel(parent=self.groupBox_10)
        self.label_19.setObjectName("label_19")
        self.gridLayout_7.addWidget(self.label_19, 2, 0, 1, 1)
        self.microbitDocuUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_10)
        self.microbitDocuUrlLineEdit.setClearButtonEnabled(True)
        self.microbitDocuUrlLineEdit.setObjectName("microbitDocuUrlLineEdit")
        self.gridLayout_7.addWidget(self.microbitDocuUrlLineEdit, 2, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_10)
        self.groupBox_11 = QtWidgets.QGroupBox(parent=MicroPythonPage)
        self.groupBox_11.setObjectName("groupBox_11")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_11)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.label_21 = QtWidgets.QLabel(parent=self.groupBox_11)
        self.label_21.setObjectName("label_21")
        self.gridLayout_4.addWidget(self.label_21, 0, 0, 1, 1)
        self.calliopeFirmwareUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_11)
        self.calliopeFirmwareUrlLineEdit.setClearButtonEnabled(True)
        self.calliopeFirmwareUrlLineEdit.setObjectName("calliopeFirmwareUrlLineEdit")
        self.gridLayout_4.addWidget(self.calliopeFirmwareUrlLineEdit, 0, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox_11)
        self.label_5.setObjectName("label_5")
        self.gridLayout_4.addWidget(self.label_5, 1, 0, 1, 1)
        self.calliopeMicroPythonUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_11)
        self.calliopeMicroPythonUrlLineEdit.setClearButtonEnabled(True)
        self.calliopeMicroPythonUrlLineEdit.setObjectName("calliopeMicroPythonUrlLineEdit")
        self.gridLayout_4.addWidget(self.calliopeMicroPythonUrlLineEdit, 1, 1, 1, 1)
        self.label_20 = QtWidgets.QLabel(parent=self.groupBox_11)
        self.label_20.setObjectName("label_20")
        self.gridLayout_4.addWidget(self.label_20, 2, 0, 1, 1)
        self.calliopeDocuUrlLineEdit = QtWidgets.QLineEdit(parent=self.groupBox_11)
        self.calliopeDocuUrlLineEdit.setClearButtonEnabled(True)
        self.calliopeDocuUrlLineEdit.setObjectName("calliopeDocuUrlLineEdit")
        self.gridLayout_4.addWidget(self.calliopeDocuUrlLineEdit, 2, 1, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_11)
        spacerItem5 = QtWidgets.QSpacerItem(20, 32, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem5)

        self.retranslateUi(MicroPythonPage)
        QtCore.QMetaObject.connectSlotsByName(MicroPythonPage)
        MicroPythonPage.setTabOrder(self.workspacePicker, self.manualSelectionCheckBox)
        MicroPythonPage.setTabOrder(self.manualSelectionCheckBox, self.serialTimeoutSpinBox)
        MicroPythonPage.setTabOrder(self.serialTimeoutSpinBox, self.webreplTimeoutSpinBox)
        MicroPythonPage.setTabOrder(self.webreplTimeoutSpinBox, self.syncTimeCheckBox)
        MicroPythonPage.setTabOrder(self.syncTimeCheckBox, self.colorSchemeComboBox)
        MicroPythonPage.setTabOrder(self.colorSchemeComboBox, self.replWrapCheckBox)
        MicroPythonPage.setTabOrder(self.replWrapCheckBox, self.chartThemeComboBox)
        MicroPythonPage.setTabOrder(self.chartThemeComboBox, self.countryEdit)
        MicroPythonPage.setTabOrder(self.countryEdit, self.ssidEdit)
        MicroPythonPage.setTabOrder(self.ssidEdit, self.passwordEdit)
        MicroPythonPage.setTabOrder(self.passwordEdit, self.showPasswordButton)
        MicroPythonPage.setTabOrder(self.showPasswordButton, self.apSsidEdit)
        MicroPythonPage.setTabOrder(self.apSsidEdit, self.apPasswordEdit)
        MicroPythonPage.setTabOrder(self.apPasswordEdit, self.apShowPasswordButton)
        MicroPythonPage.setTabOrder(self.apShowPasswordButton, self.apSecurityComboBox)
        MicroPythonPage.setTabOrder(self.apSecurityComboBox, self.ntpServerEdit)
        MicroPythonPage.setTabOrder(self.ntpServerEdit, self.ntpOffsetSpinBox)
        MicroPythonPage.setTabOrder(self.ntpOffsetSpinBox, self.ntpDstCheckBox)
        MicroPythonPage.setTabOrder(self.ntpDstCheckBox, self.ntpTimeoutSpinBox)
        MicroPythonPage.setTabOrder(self.ntpTimeoutSpinBox, self.mpyCrossPicker)
        MicroPythonPage.setTabOrder(self.mpyCrossPicker, self.mpyCrossInstallButton)
        MicroPythonPage.setTabOrder(self.mpyCrossInstallButton, self.dfuUtilPathPicker)
        MicroPythonPage.setTabOrder(self.dfuUtilPathPicker, self.stInfoPathPicker)
        MicroPythonPage.setTabOrder(self.stInfoPathPicker, self.stFlashPathPicker)
        MicroPythonPage.setTabOrder(self.stFlashPathPicker, self.micropythonFirmwareUrlLineEdit)
        MicroPythonPage.setTabOrder(self.micropythonFirmwareUrlLineEdit, self.micropythonDocuUrlLineEdit)
        MicroPythonPage.setTabOrder(self.micropythonDocuUrlLineEdit, self.circuitpythonFirmwareUrlLineEdit)
        MicroPythonPage.setTabOrder(self.circuitpythonFirmwareUrlLineEdit, self.circuitpythonLibrariesUrlLineEdit)
        MicroPythonPage.setTabOrder(self.circuitpythonLibrariesUrlLineEdit, self.circuitpythonDocuUrlLineEdit)
        MicroPythonPage.setTabOrder(self.circuitpythonDocuUrlLineEdit, self.microbitFirmwareUrlLineEdit)
        MicroPythonPage.setTabOrder(self.microbitFirmwareUrlLineEdit, self.microbitV1MicroPythonUrlLineEdit)
        MicroPythonPage.setTabOrder(self.microbitV1MicroPythonUrlLineEdit, self.microbitV2MicroPythonUrlLineEdit)
        MicroPythonPage.setTabOrder(self.microbitV2MicroPythonUrlLineEdit, self.microbitDocuUrlLineEdit)
        MicroPythonPage.setTabOrder(self.microbitDocuUrlLineEdit, self.calliopeFirmwareUrlLineEdit)
        MicroPythonPage.setTabOrder(self.calliopeFirmwareUrlLineEdit, self.calliopeMicroPythonUrlLineEdit)
        MicroPythonPage.setTabOrder(self.calliopeMicroPythonUrlLineEdit, self.calliopeDocuUrlLineEdit)

    def retranslateUi(self, MicroPythonPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("MicroPythonPage", "<b>Configure MicroPython</b>"))
        self.groupBox_4.setTitle(_translate("MicroPythonPage", "Workspace"))
        self.workspacePicker.setToolTip(_translate("MicroPythonPage", "Enter the name of the MicroPython workspace directory"))
        self.groupBox_12.setTitle(_translate("MicroPythonPage", "Device Selection"))
        self.manualSelectionCheckBox.setToolTip(_translate("MicroPythonPage", "Select to enable manual selection of devices (e.g. for unknown devices)"))
        self.manualSelectionCheckBox.setText(_translate("MicroPythonPage", "Enable manual device selection"))
        self.groupBox_2.setTitle(_translate("MicroPythonPage", "Device Communication"))
        self.label_2.setText(_translate("MicroPythonPage", "Serial Link Timeout:"))
        self.serialTimeoutSpinBox.setToolTip(_translate("MicroPythonPage", "Enter the timout value"))
        self.serialTimeoutSpinBox.setSuffix(_translate("MicroPythonPage", " s"))
        self.label_33.setText(_translate("MicroPythonPage", "WebRepl Timeout:"))
        self.webreplTimeoutSpinBox.setToolTip(_translate("MicroPythonPage", "Enter the timout value"))
        self.webreplTimeoutSpinBox.setSuffix(_translate("MicroPythonPage", " s"))
        self.groupBox_19.setTitle(_translate("MicroPythonPage", "Device Time"))
        self.syncTimeCheckBox.setToolTip(_translate("MicroPythonPage", "Select to synchronize the time after connection is established"))
        self.syncTimeCheckBox.setText(_translate("MicroPythonPage", "Synchronize Time at Connect"))
        self.groupBox.setTitle(_translate("MicroPythonPage", "REPL Pane"))
        self.label.setText(_translate("MicroPythonPage", "Color Scheme for ANSI Escape Codes:"))
        self.colorSchemeComboBox.setToolTip(_translate("MicroPythonPage", "Select the color scheme to be applied for ANSI color escape codes"))
        self.replWrapCheckBox.setToolTip(_translate("MicroPythonPage", "Select to wrap long line in the REPL pane"))
        self.replWrapCheckBox.setText(_translate("MicroPythonPage", "Wrap long lines"))
        self.groupBox_7.setTitle(_translate("MicroPythonPage", "Chart Pane"))
        self.label_11.setText(_translate("MicroPythonPage", "Color Theme:"))
        self.chartThemeComboBox.setToolTip(_translate("MicroPythonPage", "Select the color scheme of the chart"))
        self.groupBox_13.setTitle(_translate("MicroPythonPage", "WiFi"))
        self.label_13.setText(_translate("MicroPythonPage", "Country:"))
        self.countryEdit.setToolTip(_translate("MicroPythonPage", "Enter the country code for the WiFi interface"))
        self.groupBox_14.setTitle(_translate("MicroPythonPage", "Client"))
        self.label_8.setText(_translate("MicroPythonPage", "Name:"))
        self.ssidEdit.setToolTip(_translate("MicroPythonPage", "Enter the network name (SSID) to connect to"))
        self.label_9.setText(_translate("MicroPythonPage", "Password:"))
        self.passwordEdit.setToolTip(_translate("MicroPythonPage", "Enter the network password"))
        self.showPasswordButton.setToolTip(_translate("MicroPythonPage", "Press to show the password"))
        self.groupBox_15.setTitle(_translate("MicroPythonPage", "Access Point"))
        self.label_10.setText(_translate("MicroPythonPage", "Name:"))
        self.apSsidEdit.setToolTip(_translate("MicroPythonPage", "Enter the network name (SSID) to publish"))
        self.label_12.setText(_translate("MicroPythonPage", "Password:"))
        self.apPasswordEdit.setToolTip(_translate("MicroPythonPage", "Enter the network password"))
        self.apShowPasswordButton.setToolTip(_translate("MicroPythonPage", "Press to show the password"))
        self.label_23.setText(_translate("MicroPythonPage", "Security:"))
        self.apSecurityComboBox.setToolTip(_translate("MicroPythonPage", "Select the security mode"))
        self.ipv4GroupBox.setTitle(_translate("MicroPythonPage", "IPv4 Configuration"))
        self.label_24.setText(_translate("MicroPythonPage", "Address:"))
        self.label_25.setText(_translate("MicroPythonPage", "Netmask:"))
        self.label_26.setText(_translate("MicroPythonPage", "Gateway:"))
        self.label_27.setText(_translate("MicroPythonPage", "DNS:"))
        self.groupBox_16.setTitle(_translate("MicroPythonPage", "NTP Parameter"))
        self.label_29.setText(_translate("MicroPythonPage", "NTP Server:"))
        self.ntpServerEdit.setToolTip(_translate("MicroPythonPage", "Enter the name of the NTP server."))
        self.label_28.setText(_translate("MicroPythonPage", "Time Zone Offset:"))
        self.ntpOffsetSpinBox.setToolTip(_translate("MicroPythonPage", "Enter the time zone offset to UTC."))
        self.ntpOffsetSpinBox.setSuffix(_translate("MicroPythonPage", " h"))
        self.ntpDstCheckBox.setToolTip(_translate("MicroPythonPage", "Select to indicate that daylight savings is in effect (i.e. 1h plus to UTC)."))
        self.ntpDstCheckBox.setText(_translate("MicroPythonPage", "Is Daylight Savings"))
        self.label_30.setText(_translate("MicroPythonPage", "Timeout:"))
        self.ntpTimeoutSpinBox.setToolTip(_translate("MicroPythonPage", "Enter the timeout in seconds."))
        self.ntpTimeoutSpinBox.setSuffix(_translate("MicroPythonPage", " s"))
        self.groupBox_3.setTitle(_translate("MicroPythonPage", "MPY Cross Compiler"))
        self.label_3.setText(_translate("MicroPythonPage", "Program:"))
        self.mpyCrossPicker.setToolTip(_translate("MicroPythonPage", "Enter the path of the cross compiler executable"))
        self.mpyCrossInstallButton.setToolTip(_translate("MicroPythonPage", "Press to install \'mpy-cross\' alongside the eric IDE."))
        self.mpyCrossInstallButton.setText(_translate("MicroPythonPage", "Install"))
        self.groupBox_5.setTitle(_translate("MicroPythonPage", "PyBoard"))
        self.label_7.setText(_translate("MicroPythonPage", "dfu-util Path:"))
        self.dfuUtilPathPicker.setToolTip(_translate("MicroPythonPage", "Enter the path of the dfu-util flashing executable"))
        self.groupBox_17.setTitle(_translate("MicroPythonPage", "STLink"))
        self.label_31.setText(_translate("MicroPythonPage", "st-info Path:"))
        self.stInfoPathPicker.setToolTip(_translate("MicroPythonPage", "Enter the path of the st-info executable"))
        self.label_32.setText(_translate("MicroPythonPage", "st-flash Path:"))
        self.stFlashPathPicker.setToolTip(_translate("MicroPythonPage", "Enter the path of the st-flash flashing executable"))
        self.groupBox_8.setTitle(_translate("MicroPythonPage", "MicroPython"))
        self.label_14.setText(_translate("MicroPythonPage", "Firmware:"))
        self.micropythonFirmwareUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the MicroPython firmware for PyBoard, ESP8266 and ESP32"))
        self.label_15.setText(_translate("MicroPythonPage", "Documentation:"))
        self.micropythonDocuUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the MicroPython documentation"))
        self.groupBox_9.setTitle(_translate("MicroPythonPage", "CircuitPython"))
        self.label_17.setText(_translate("MicroPythonPage", "Firmware:"))
        self.circuitpythonFirmwareUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the CircuitPython firmware"))
        self.label_22.setText(_translate("MicroPythonPage", "Libraries:"))
        self.circuitpythonLibrariesUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the CircuitPython libraries"))
        self.label_16.setText(_translate("MicroPythonPage", "Documentation:"))
        self.circuitpythonDocuUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the CircuitPython documentation"))
        self.groupBox_10.setTitle(_translate("MicroPythonPage", "BBC micro:bit"))
        self.label_18.setText(_translate("MicroPythonPage", "Firmware:"))
        self.microbitFirmwareUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the BBC micro:bit DAPLink Firmware"))
        self.groupBox_6.setTitle(_translate("MicroPythonPage", "MicroPython"))
        self.label_4.setText(_translate("MicroPythonPage", "micro:bit V1:"))
        self.microbitV1MicroPythonUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the BBC micro:bit V1 MicroPython Firmware"))
        self.label_6.setText(_translate("MicroPythonPage", "micro:bit V2:"))
        self.microbitV2MicroPythonUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the BBC micro:bit V2 MicroPython Firmware"))
        self.label_19.setText(_translate("MicroPythonPage", "Documentation:"))
        self.microbitDocuUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the BBC micro:bit MicroPython documentation"))
        self.groupBox_11.setTitle(_translate("MicroPythonPage", "Calliope mini:"))
        self.label_21.setText(_translate("MicroPythonPage", "Firmware:"))
        self.calliopeFirmwareUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the Callope mini Firmware"))
        self.label_5.setText(_translate("MicroPythonPage", "MicroPython:"))
        self.calliopeMicroPythonUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the Calliope mini MicroPython Firmware"))
        self.label_20.setText(_translate("MicroPythonPage", "Documentation:"))
        self.calliopeDocuUrlLineEdit.setToolTip(_translate("MicroPythonPage", "Enter the URL for the Calliope mini MicroPython documentation"))
from eric7.EricNetwork.EricIPv4InputWidget import EricIPv4InputWidget
from eric7.EricWidgets.EricPathPicker import EricPathPicker
